Summary: A program for handling multimedia mail using the mailcap file.
Name: metamail
Version: 2.7
Release: 2
License: IBM_ILA
URL: http://freshmeat.net/projects/metamail
Group: Applications/Internet
Source: ftp://thumper.bellcore.com/pub/nsp/metamail/mm2.7.tar.Z
Source1: IBM_ILA
Source2: %{name}.txt
Patch0: mm-2.7-make.patch
Patch1: mm-2.7-fonts.patch
Patch2: mm-2.7-glibc.patch
Patch3: mm-2.7-csh.patch
Patch4: mm-2.7-uudecode.patch
Patch5: mm-2.7-sunquote.patch
#Patch6: mm-2.7-tmpfile.patch
Patch7: mm-2.7-ohnonotagain.patch
Patch8: mm-2.7-arghhh.patch
Patch9: mm-2.7-sml.patch
Patch10: metamail-2.7-nl.patch
Patch11: mm-2.7-linux.patch
Patch12: metamail-2.7-fixpartial.patch
Patch13: metamail-2.7-fixawk.patch
Patch14: metamail-2.7-usesox.patch
Patch15: metamail-2.7-aix.patch
Prefix: %{_prefix}
BuildRoot: %{_tmppath}/%{name}-root
%define DEFCC cc

%description
Metamail is a system for handling multimedia mail, using the mailcap
file.  Metamail reads the mailcap file, which tells Metamail what
helper program to call in order to handle a particular type of
non-text mail.  Note that metamail can also add multimedia support to
certain non-mail programs.

Metamail should be installed if you need to add multimedia support to
mail programs and some other programs, using the mailcap file.

%prep
%setup -q -n mm2.7
%patch0 -p1 -b .make
%patch1 -p1 -b .font
%patch2 -p1 -b .glibc
%patch3 -p1 -b .csh
%patch4 -p1 -b .tmpfiles
%patch5 -p1 -b .quote
##%patch6 -p1 -b .tmpagain
%patch7 -p1 -b .sigh
%patch8 -p1 -b .arghhh
%patch9 -p1 -b .sml
%patch10 -p1
%patch11 -p1 -b .linux
%patch12 -p1 -b .fixpartial
%patch13 -p1 -b .fixawk
%patch14 -p1 -b .usesox
%patch15 -p1 -b .aix

# Add license info
cat $RPM_SOURCE_DIR/IBM_ILA > LICENSE
cat $RPM_SOURCE_DIR/%{name}.txt >> LICENSE

%build
# Use the default compiler for this platform - gcc otherwise
if [[ -z "$CC" ]]
then
    if test "X`type %{DEFCC} 2>/dev/null`" != 'X'; then
       export CC=%{DEFCC}
    else 
       export CC=gcc
    fi
fi
if test "X$CC" != "Xgcc"
then
       export RPM_OPT_FLAGS=`echo $RPM_OPT_FLAGS | sed 's:-fsigned-char::'`
       export CFLAGS="$RPM_OPT_FLAGS"
fi

cd src
make CC="$CC" INSTROOT=%{prefix} RPM_OPT_FLAGS="$RPM_OPT_FLAGS" basics

%install
rm -rf %{buildroot}
for dir in %{_bindir} %{_mandir}/man1 %{_mandir}/man4 %{_libdir}/metamail/fonts
do
   mkdir -p %{buildroot}$dir
done

cd src
make INSTROOT=%{buildroot}%{_prefix} \
     MAN1DIR=%{buildroot}%{_mandir}/man1 \
     MAN4DIR=%{buildroot}%{_mandir}/man4 \
     install-all || :

install -m444 man/*.1 %{buildroot}%{_mandir}/man1
install -m444 man/*.4 %{buildroot}%{_mandir}/man4
install -m644 fonts/*.pcf %{buildroot}%{_prefix}/lib/metamail/fonts
install -m644 fonts/fonts.alias %{buildroot}%{_prefix}/lib/metamail/fonts
mkfontdir %{buildroot}%{_prefix}/lib/metamail/fonts

(cd $RPM_BUILD_ROOT
 for dir in bin lib
 do
    mkdir -p usr/$dir
    cd usr/$dir
    ln -sf ../..%{_prefix}/$dir/* .
    cd -
 done
)

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc LICENSE
%{prefix}/lib/metamail
/usr/lib/metamail
%{prefix}/bin/audiocompose
%{prefix}/bin/audiosend
%{prefix}/bin/extcompose
%{prefix}/bin/getfilename
%{prefix}/bin/mailserver
%{prefix}/bin/mailto
%{prefix}/bin/mailto-hebrew
%{prefix}/bin/metamail
%{prefix}/bin/metasend
%{prefix}/bin/mimencode
%{prefix}/bin/mmencode
%{prefix}/bin/patch-metamail
%{prefix}/bin/rcvAppleSingle
%{prefix}/bin/richtext
%{prefix}/bin/richtoatk
%{prefix}/bin/showaudio
%{prefix}/bin/showexternal
%{prefix}/bin/shownonascii
%{prefix}/bin/showpartial
%{prefix}/bin/showpicture
%{prefix}/bin/sndAppleSingle
%{prefix}/bin/splitmail
%{prefix}/bin/sun-audio-file
%{prefix}/bin/sun-message.csh
%{prefix}/bin/sun-to-mime
%{prefix}/bin/sun2mime
%ifnos linux
/usr/bin/audiocompose
/usr/bin/audiosend
/usr/bin/extcompose
/usr/bin/getfilename
/usr/bin/mailserver
/usr/bin/mailto
/usr/bin/mailto-hebrew
/usr/bin/metamail
/usr/bin/metasend
/usr/bin/mimencode
/usr/bin/mmencode
/usr/bin/patch-metamail
/usr/bin/rcvAppleSingle
/usr/bin/richtext
/usr/bin/richtoatk
/usr/bin/showaudio
/usr/bin/showexternal
/usr/bin/shownonascii
/usr/bin/showpartial
/usr/bin/showpicture
/usr/bin/sndAppleSingle
/usr/bin/splitmail
/usr/bin/sun-audio-file
/usr/bin/sun-message.csh
/usr/bin/sun-to-mime
/usr/bin/sun2mime
%endif
%{_mandir}/man1/*.1*

%changelog
* Fri Nov 22 2002 David Clissold <cliss@austin.ibm.com>
- Add IBM ILA license.

* Wed May 30 2001 Marc Stephenson <marc@austin.ibm.com>
- Modify for AIX Toolbox

* Tue Feb 13 2001 Preston Brown <pbrown@redhat.com>
- remove duplicate fonts (#26862)

* Thu Feb  1 2001 Preston Brown <pbrown@redhat.com>
- fix showpartial usage (#16029)
- use sox to play files with showaudio, if present (#21494)
- nawk --> gawk for sun2mime (#17429)

* Wed Jul 12 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Sun Jun 18 2000 Matt Wilson <msw@redhat.com>
- use %%{_mandir}
- remove stupid #defines that break building against any sane set of C
  libraries (patch11)

* Sun Feb 06 2000 Preston Brown <pbrown@redhat.com>
- rebuild w/gzipped man pages and new description

* Thu Sep 09 1999 Cristian Gafton <gafton@redhat.com>
- fox the newline parsing for the mailto content-type problem

* Fri Jul 30 1999 Michael K. Johnson <johnsonm@redhat.com>
- changed all instances of /usr/lib/sendmail to /usr/sbin/sendmail [bug #4010]

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 20)

* Fri Dec 18 1998 Cristian Gafton <gafton@redhat.com>
- rebuild against glibc 2.1

* Tue Aug  4 1998 Jeff Johnson <jbj@redhat.com>
- build root

* Tue Jun 23 1998 Alan Cox <alan@redhat.com>
- Here we go again. One more quoting issue.

* Mon Jun 22 1998 Alan Cox <alan@redhat.com>
- If you want to know how not to write secure software
  then metamail is a good worked example. Mind you to
  be fair the original author wrote it as a prototype
  MIME tool and it stuck. Anyway it might actually be
  safe now. More from the Linux Security Audit Project.

* Tue Jun 16 1998 Alan Cox <alan@redhat.com>
- Round and round the tmp fixes go
  Where they stop nobody knows
- More holes in metamail fixed - (Linux Security Audit Project)

* Tue May 19 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Tue May 19 1998 Alan Cox <alan@redhat.com>
- Fixed the quoting bug in sun mail handling noted by Chris Evans and
  a while back via bugtraq.

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri Oct 24 1997 Erik Troan <ewt@redhat.com>
- added security fix for uudecode 
- requires mktemp, sharutils

* Thu Jul 10 1997 Erik Troan <ewt@redhat.com>
- built against glibc 

* Tue Apr 22 1997 Erik Troan <ewt@redhat.com>
- Added security patch from Olaf for csh escapes.
